Name:           sleuthkit
Version:        2.05
Release: 	3%{?dist}
Summary:        The Sleuth Kit

Group:          Applications/System
License:        GPL
URL:            http://www.sleuthkit.org/sleuthkit/

Source0:        sleuthkit-2.05.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl gawk zlib-devel openssl-devel

%description
The Sleuth Kit (previously known as TASK) is a collection of
UNIX-based command line file system forensic tools that allow an
investigator to examine NTFS, FAT, FFS, EXT2FS, and EXT3FS file
systems of a suspect computer in a non-intrusive fashion. The 
tools have a layer-based design and can extract data from internal
file system structures. Because the tools do not rely on the
operating system to process the file systems, deleted and hidden
content is shown.
When performing a complete analysis of a system, command line
tools can become tedious. The Autopsy Forensic Browser is a
graphical interface to the tools in The Sleuth Kit, which allows
one to more easily conduct an investigation. Autopsy provides case
management, image integrity, keyword searching, and other automated
operations.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/sorter
install -d $RPM_BUILD_ROOT/usr/share/man/man1
rm -f bin/file
install -m755 bin/* $RPM_BUILD_ROOT/usr/bin
rm -f man/man1/file.1
install -m644 man/man1/* $RPM_BUILD_ROOT/usr/share/man/man1/
install -m644 share/sorter/* $RPM_BUILD_ROOT/usr/share/sorter/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc CHANGES.txt INSTALL.txt README.txt TODO.txt
%{_bindir}/dcalc
%{_bindir}/dcat
%{_bindir}/disk_sreset
%{_bindir}/disk_stat
%{_bindir}/dls
%{_bindir}/dstat
%{_bindir}/ffind
#%{_bindir}/file
%{_bindir}/fls
%{_bindir}/fsstat
%{_bindir}/hfind
%{_bindir}/icat
%{_bindir}/ifind
%{_bindir}/ils
%{_bindir}/img_cat
%{_bindir}/img_stat
%{_bindir}/istat
%{_bindir}/jcat
%{_bindir}/jls
%{_bindir}/mactime
%{_bindir}/md5
%{_bindir}/mmls
%{_bindir}/mmstat
%{_bindir}/sha1
%{_bindir}/sigfind
%{_bindir}/sorter
%{_bindir}/srch_strings
%{_datadir}/man/man1/dcalc.1.gz
%{_datadir}/man/man1/dcat.1.gz
%{_datadir}/man/man1/disk_sreset.1.gz
%{_datadir}/man/man1/disk_stat.1.gz
%{_datadir}/man/man1/dls.1.gz
%{_datadir}/man/man1/dstat.1.gz
%{_datadir}/man/man1/ffind.1.gz
#%{_datadir}/man/man1/file.1.gz
%{_datadir}/man/man1/fls.1.gz
%{_datadir}/man/man1/fsstat.1.gz
%{_datadir}/man/man1/hfind.1.gz
%{_datadir}/man/man1/icat.1.gz
%{_datadir}/man/man1/ifind.1.gz
%{_datadir}/man/man1/ils.1.gz
%{_datadir}/man/man1/img_cat.1.gz
%{_datadir}/man/man1/img_stat.1.gz
%{_datadir}/man/man1/istat.1.gz
%{_datadir}/man/man1/jcat.1.gz
%{_datadir}/man/man1/jls.1.gz
%{_datadir}/man/man1/mactime.1.gz
%{_datadir}/man/man1/mmls.1.gz
%{_datadir}/man/man1/mmstat.1.gz
%{_datadir}/man/man1/sigfind.1.gz
%{_datadir}/man/man1/sorter.1.gz
%{_datadir}/sorter/default.sort
%{_datadir}/sorter/freebsd.sort
%{_datadir}/sorter/images.sort
%{_datadir}/sorter/linux.sort
%{_datadir}/sorter/openbsd.sort
%{_datadir}/sorter/solaris.sort
%{_datadir}/sorter/windows.sort

%changelog

* Wed Aug 23 2006  Paweł Brach <pawel.brach@aurox.org> 2.0.5-3
- fixed conflict with file's manual

* Thu Aug 10 2006 Paweł Brach <pawel.brach@aurox.org> 2.0.5-2
- fixed conflict with 'file'

* Thu Aug 10 2006 Paweł Brach <pawel.brach@aurox.org> 2.0.5-1
- initial aurox release